# FoundationClasses
TKernel
TColStd

# TColStd_ListOfInteger Class Reference

`#include <TColStd_ListOfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_ListOfInteger ()
Standard_EXPORT void | Assign (const TColStd_ListOfInteger &Other)
void | operator= (const TColStd_ListOfInteger &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~TColStd_ListOfInteger ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Standard_Integer &I)
Standard_EXPORT void | Prepend (const Standard_Integer &I, TColStd_ListIteratorOfListOfInteger &theIt)
Standard_EXPORT void | Prepend (TColStd_ListOfInteger &Other)
Standard_EXPORT void | Append (const Standard_Integer &I)
Standard_EXPORT void | Append (const Standard_Integer &I, TColStd_ListIteratorOfListOfInteger &theIt)
Standard_EXPORT void | Append (TColStd_ListOfInteger &Other)
Standard_EXPORT Standard_Integer & | First () const
Standard_EXPORT Standard_Integer & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (TColStd_ListIteratorOfListOfInteger &It)
Standard_EXPORT void | InsertBefore (const Standard_Integer &I, TColStd_ListIteratorOfListOfInteger &It)
Standard_EXPORT void | InsertBefore (TColStd_ListOfInteger &Other, TColStd_ListIteratorOfListOfInteger &It)
Standard_EXPORT void | InsertAfter (const Standard_Integer &I, TColStd_ListIteratorOfListOfInteger &It)
Standard_EXPORT void | InsertAfter (TColStd_ListOfInteger &Other, TColStd_ListIteratorOfListOfInteger &It)

## Private Member Functions

Standard_EXPORT | TColStd_ListOfInteger (const TColStd_ListOfInteger &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_ListOfInteger::TColStd_ListOfInteger | ( |  | ) |

TColStd_ListOfInteger::~TColStd_ListOfInteger | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_ListOfInteger::TColStd_ListOfInteger | ( | const TColStd_ListOfInteger & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void TColStd_ListOfInteger::Append | ( | TColStd_ListOfInteger & | Other | ) |

Standard_EXPORT void TColStd_ListOfInteger::Append | ( | const Standard_Integer & | I,
|  | TColStd_ListIteratorOfListOfInteger & | theIt
| ) |

Standard_EXPORT void TColStd_ListOfInteger::Append | ( | const Standard_Integer & | I | ) |

Standard_EXPORT void TColStd_ListOfInteger::Assign | ( | const TColStd_ListOfInteger & | Other | ) |

Standard_EXPORT void TColStd_ListOfInteger::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer TColStd_ListOfInteger::Extent | ( |  | ) | const

Standard_EXPORT Standard_Integer& TColStd_ListOfInteger::First | ( |  | ) | const

Standard_EXPORT void TColStd_ListOfInteger::InsertAfter | ( | TColStd_ListOfInteger & | Other,
|  | TColStd_ListIteratorOfListOfInteger & | It
| ) |

Standard_EXPORT void TColStd_ListOfInteger::InsertAfter | ( | const Standard_Integer & | I,
|  | TColStd_ListIteratorOfListOfInteger & | It
| ) |

Standard_EXPORT void TColStd_ListOfInteger::InsertBefore | ( | TColStd_ListOfInteger & | Other,
|  | TColStd_ListIteratorOfListOfInteger & | It
| ) |

Standard_EXPORT void TColStd_ListOfInteger::InsertBefore | ( | const Standard_Integer & | I,
|  | TColStd_ListIteratorOfListOfInteger & | It
| ) |

Standard_Boolean TColStd_ListOfInteger::IsEmpty | ( |  | ) | const

Standard_EXPORT Standard_Integer& TColStd_ListOfInteger::Last | ( |  | ) | const

void TColStd_ListOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_ListOfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_ListOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void TColStd_ListOfInteger::operator= | ( | const TColStd_ListOfInteger & | Other | ) | `[inline]`

Standard_EXPORT void TColStd_ListOfInteger::Prepend | ( | TColStd_ListOfInteger & | Other | ) |

Standard_EXPORT void TColStd_ListOfInteger::Prepend | ( | const Standard_Integer & | I,
|  | TColStd_ListIteratorOfListOfInteger & | theIt
| ) |

Standard_EXPORT void TColStd_ListOfInteger::Prepend | ( | const Standard_Integer & | I | ) |

Standard_EXPORT void TColStd_ListOfInteger::Remove | ( | TColStd_ListIteratorOfListOfInteger & | It | ) |

Standard_EXPORT void TColStd_ListOfInteger::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address TColStd_ListOfInteger::myFirst `[private]`

Standard_Address TColStd_ListOfInteger::myLast `[private]`

The documentation for this class was generated from the following file:

- TColStd_ListOfInteger.hxx